\subsection{Star}
\screenshot{plugins/images/ss-star}{Star game}{fig:star}

This is a puzzle game.  It is actually a rewrite of Star, a game written
by CDK designed for the hp48 calculator.

Rules: Take all of the ``o''s to go to the
next level.  You can switch control between the filled circle,
which can take ``o''s, and the filled square, which is used as a mobile
wall to allow your filled circle to get to places on the screen it
could not otherwise reach. The block cannot take ``o''s.

\begin{table}
  \begin{btnmap}{}{}
    \ButtonLeft
      \opt{HAVEREMOTEKEYMAP}{& }
        & Move Left\\
    \ButtonRight
      \opt{HAVEREMOTEKEYMAP}{& }
        & Move Right\\
    \opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD%
        ,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}
        {\ButtonUp}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonMenu}
    \opt{IRIVER_H10_PAD}{\ButtonScrollUp}
      \opt{HAVEREMOTEKEYMAP}{& }
        & Move Up\\
    \opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD%
        ,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}
        {\ButtonDown}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonPlay}
    \opt{IRIVER_H10_PAD}{\ButtonScrollDown}
      \opt{HAVEREMOTEKEYMAP}{& }
        & Move Down\\
    \opt{RECORDER_PAD}{\ButtonOn}
    \opt{ONDIO_PAD}{\ButtonMenu}
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonMode}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD,IAUDIO_X5_PAD,SANSA_E200_PAD,SANSA_C200_PAD%
        ,GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}{\ButtonSelect}
    \opt{IRIVER_H10_PAD}{\ButtonRew}
      \opt{HAVEREMOTEKEYMAP}{& }
        & Switch between circle and square\\
    \opt{RECORDER_PAD}{\ButtonFOne}
    \opt{ONDIO_PAD}{\ButtonMenu+\ButtonLeft}
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonMode+\ButtonLeft}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD,SANSA_E200_PAD,SANSA_C200_PAD}{\ButtonSelect+\ButtonLeft}
    \opt{IAUDIO_X5_PAD}{\ButtonPlay+\ButtonDown}
    \opt{IRIVER_H10_PAD}{\ButtonPlay+\ButtonScrollDown}
    \opt{GIGABEAT_PAD,GIGABEAT_S_PAD}{\ButtonVolDown}
    \opt{MROBE100_PAD}{\ButtonMenu}
      \opt{HAVEREMOTEKEYMAP}{& }
        & Previous level\\
    \opt{RECORDER_PAD}{\ButtonFTwo}
    \opt{ONDIO_PAD}{\ButtonMenu+\ButtonUp}
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonMode+\ButtonUp}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonPlay}
    \opt{IAUDIO_X5_PAD,IRIVER_H10_PAD}{\ButtonPlay+\ButtonRight}
    \opt{SANSA_E200_PAD,SANSA_C200_PAD}{\ButtonSelect+\ButtonDown}
    \opt{GIGABEAT_PAD}{\ButtonA}
    \opt{GIGABEAT_S_PAD}{\ButtonMenu}
    \opt{MROBE100_PAD}{\ButtonDisplay}
      \opt{HAVEREMOTEKEYMAP}{& }
        & Reset level \\
    \opt{RECORDER_PAD}{\ButtonFThree}
    \opt{ONDIO_PAD}{\ButtonMenu+\ButtonRight}
    \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonMode+\ButtonRight}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD,SANSA_E200_PAD,SANSA_C200_PAD}{\ButtonSelect+\ButtonRight}
    \opt{IAUDIO_X5_PAD}{\ButtonPlay+\ButtonRight}
    \opt{IRIVER_H10_PAD}{\ButtonPlay+\ButtonScrollUp}
    \opt{GIGABEAT_PAD,GIGABEAT_S_PAD}{\ButtonVolUp}
    \opt{MROBE100_PAD}{\ButtonPlay}
      \opt{HAVEREMOTEKEYMAP}{& }
        & Next level \\
    \opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonOff}
    \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonMenu}
    \opt{IAUDIO_X5_PAD,IRIVER_H10_PAD,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD}{\ButtonPower}
    \opt{GIGABEAT_S_PAD}{\ButtonBack}
      \opt{HAVEREMOTEKEYMAP}{& 
          \opt{IRIVER_RC_H100_PAD}{\ButtonRCStop}
       }
        & Exit the game \\
  \end{btnmap}
\end{table}
